package com.sptg.repeater.vo;


/**
 * 错误码 枚举
 * @author yb
 */
public enum ErrorCodeEn {

	// 系统错误
	ERROR_401(401, "无请求方法名"),
	ERROR_403(403, "请求失效"),
	ERROR_404(404, "无效的错误码，请核实"),
	ERROR_405(405, "api无返回结果"),
	ERROR_406(406, "api返回结果错误"),
	ERROR_407(407, "JSON数据为空"),

	ERROR_505(505, "服务器异常"),
	ERROR_506(506, "解析失败"),
	ERROR_507(507, "请求超时"),
	ERROR_508(508, "连接异常"),

	// 大豪设备
	ERROR_10000(10000, "卡号错误"),
	ERROR_10001(10001, "卡号使用时间错误"),

	// 参数错误
	ERROR_PARAMETE_IS_NULL(1000, "参数为空"),
	ERROR_JSON(1001, "json格式错误");

	private int code;
	private String description;

	ErrorCodeEn(int codeNo, String msg) {
		this.code = codeNo;
		this.description = msg;
	}

	public int getCode() {
		return code;
	}

	public String getDescription() {
		return description;
	}

	// 根据编码获取枚举信息
	public static ErrorCodeEn fromCodeNo(int codeNo){
		for(ErrorCodeEn ecEn : ErrorCodeEn.values()){
			if(ecEn.getCode() == codeNo){
				return ecEn;
			}
		}
		return ERROR_404;
	}
}
